Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Using REFEDIT in lisp

2 REPLIES 2
Reply
Message 1 of 3
Joris
586 Views, 2 Replies

Using REFEDIT in lisp

I'm writing a program wich places objects in XREF's.
When I use refedit I can click the xref I want to edit, but when I try to select the xref with lisp (ssget "L") autocad refuses to accept the selection. Even (ssname (ssget "L") 0) doesn't work.

Does anybody know how to do this.

Thnx,
Joris
2 REPLIES 2
Message 2 of 3
Anonymous
in reply to: Joris

I have not found a way to make refedit work within
a lisp routine.

 

-Jason


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">
I'm
writing a program wich places objects in XREF's.
When I use refedit I can
click the xref I want to edit, but when I try to select the xref with lisp
(ssget "L") autocad refuses to accept the selection. Even (ssname (ssget "L")
0) doesn't work.

Does anybody know how to do this.

Thnx,
Joris

Message 3 of 3
Anonymous
in reply to: Joris

It looks like Refedit would accept a block by location, if you give it a point where
the command can snap on the block. (Insertion point?)
I have played with it a little and I found out I need to press Enter for the pop-up
window then give it the location the second time and then ACAD would go into the
Refedit state.
Something like this:

(defun C:REF (/)
(command "refedit" "4,4" "4,4" "")
;your commands
;(COMMAND "SCALE" "ALL" "" "4,4" 0.5)
;
(COMMAND "_REFCLOSE" "S")
;it would even continue the LISP code:
(COMMAND "ZOOM" "W")
)
Well, it may help...
Louis

Joris wrote:

> I'm writing a program wich places objects in XREF's.
> When I use refedit I can click the xref I want to edit, but when I try to select
> the xref with lisp (ssget "L") autocad refuses to accept the selection. Even
> (ssname (ssget "L") 0) doesn't work.
>
> Does anybody know how to do this.
>
> Thnx,
> Joris

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost